/* You can add global styles to this file, and also import other style files */

html,
body {
  height: 100%;
  box-sizing: border-box;
}

body {
  background-color: #f6f6f6;
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

a {
  text-decoration: none;

  &:-webkit-any-link {
    color: inherit !important;
  }

  &:visited {
    color: inherit !important;
  }
}

app-root, app-layout {
  height: 100vh;
  display: flex;
  flex-direction: column;
}

mat-expansion-panel {
  width: 100%;


  mat-expansion-panel-header {
    height: 100%!important;
    padding: 10px 24px !important;
    
    &.mat-expanded{
      height: 100%!important;
    }

    .mat-content{
      width: 100%;
      display: block !important;
    }
  }

  .mat-expansion-panel-body {
    padding: 0;
  }
}

app-footer{
  margin-top: auto;
}

.navbar-menu{

  .mat-menu-content{
    .mat-menu-item{
      display: flex;
      align-items: center;
      justify-content: flex-end;
      font-size: 16px;
  }
  }
}